/******************************************************************************
 * $Id: gfx_random.hh,v 1.16 2005/10/25 23:13:19 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Random number functions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 ******************************************************************************/

#ifndef GFX_RANDOM_HH
#define GFX_RANDOM_HH 1

namespace gfx {

void
randomize( uint seed );

void
randomize( void );

uint
random_ui( void );

uint
random_ui( uint range );

float
random_f( void );

float
random_f( float range );

uint
random_true( void );

} // namespace gfx

#endif // GFX_RANDOM_HH
